import { z } from 'zod';
export declare const ReleaseResultZodSchema: z.ZodObject<{
    releases: z.ZodArray<z.ZodEffects<z.ZodObject<{
        version: z.ZodString;
        isDeprecated: z.ZodOptional<z.ZodBoolean>;
        releaseTimestamp: z.ZodOptional<z.ZodString>;
        sourceUrl: z.ZodOptional<z.ZodString>;
        sourceDirectory: z.ZodOptional<z.ZodString>;
        changelogUrl: z.ZodOptional<z.ZodString>;
        digest: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        version: string;
        isDeprecated?: boolean | undefined;
        releaseTimestamp?: string | undefined;
        sourceUrl?: string | undefined;
        sourceDirectory?: string | undefined;
        changelogUrl?: string | undefined;
        digest?: string | undefined;
    }, {
        version: string;
        isDeprecated?: boolean | undefined;
        releaseTimestamp?: string | undefined;
        sourceUrl?: string | undefined;
        sourceDirectory?: string | undefined;
        changelogUrl?: string | undefined;
        digest?: string | undefined;
    }>, {
        newDigest: string | undefined;
        digest: undefined;
        version: string;
        isDeprecated?: boolean | undefined;
        releaseTimestamp?: string | undefined;
        sourceUrl?: string | undefined;
        sourceDirectory?: string | undefined;
        changelogUrl?: string | undefined;
    }, {
        version: string;
        isDeprecated?: boolean | undefined;
        releaseTimestamp?: string | undefined;
        sourceUrl?: string | undefined;
        sourceDirectory?: string | undefined;
        changelogUrl?: string | undefined;
        digest?: string | undefined;
    }>, "many">;
    sourceUrl: z.ZodOptional<z.ZodString>;
    sourceDirectory: z.ZodOptional<z.ZodString>;
    changelogUrl: z.ZodOptional<z.ZodString>;
    homepage: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    releases: {
        newDigest: string | undefined;
        digest: undefined;
        version: string;
        isDeprecated?: boolean | undefined;
        releaseTimestamp?: string | undefined;
        sourceUrl?: string | undefined;
        sourceDirectory?: string | undefined;
        changelogUrl?: string | undefined;
    }[];
    sourceUrl?: string | undefined;
    sourceDirectory?: string | undefined;
    changelogUrl?: string | undefined;
    homepage?: string | undefined;
}, {
    releases: {
        version: string;
        isDeprecated?: boolean | undefined;
        releaseTimestamp?: string | undefined;
        sourceUrl?: string | undefined;
        sourceDirectory?: string | undefined;
        changelogUrl?: string | undefined;
        digest?: string | undefined;
    }[];
    sourceUrl?: string | undefined;
    sourceDirectory?: string | undefined;
    changelogUrl?: string | undefined;
    homepage?: string | undefined;
}>;
