import { Datasource } from '../datasource';
import type { GetReleasesConfig, Release, ReleaseResult } from '../types';
export declare class GalaxyCollectionDatasource extends Datasource {
    static readonly id = "galaxy-collection";
    constructor();
    readonly customRegistrySupport = true;
    readonly registryStrategy = "hunt";
    readonly defaultRegistryUrls: string[];
    readonly defaultVersioning = "pep440";
    getReleases({ packageName, registryUrl, }: GetReleasesConfig): Promise<ReleaseResult | null>;
    getVersionDetails(packageName: string, versionsUrl: string, basicRelease: Release): Promise<Release>;
}
