import { z } from 'zod';
export declare const KubernetesResource: z.ZodObject<{
    apiVersion: z.ZodString;
}, "strip", z.ZodTypeAny, {
    apiVersion: string;
}, {
    apiVersion: string;
}>;
export declare const ApplicationSource: z.ZodObject<{
    chart: z.ZodOptional<z.ZodString>;
    repoURL: z.ZodString;
    targetRevision: z.ZodString;
}, "strip", z.ZodTypeAny, {
    repoURL: string;
    targetRevision: string;
    chart?: string | undefined;
}, {
    repoURL: string;
    targetRevision: string;
    chart?: string | undefined;
}>;
export type ApplicationSource = z.infer<typeof ApplicationSource>;
export declare const ApplicationSpec: z.ZodObject<{
    source: z.ZodOptional<z.ZodObject<{
        chart: z.ZodOptional<z.ZodString>;
        repoURL: z.ZodString;
        targetRevision: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        repoURL: string;
        targetRevision: string;
        chart?: string | undefined;
    }, {
        repoURL: string;
        targetRevision: string;
        chart?: string | undefined;
    }>>;
    sources: z.ZodOptional<z.ZodEffects<z.ZodArray<z.ZodAny, "many">, {
        repoURL: string;
        targetRevision: string;
        chart?: string | undefined;
    }[], any[]>>;
}, "strip", z.ZodTypeAny, {
    source?: {
        repoURL: string;
        targetRevision: string;
        chart?: string | undefined;
    } | undefined;
    sources?: {
        repoURL: string;
        targetRevision: string;
        chart?: string | undefined;
    }[] | undefined;
}, {
    source?: {
        repoURL: string;
        targetRevision: string;
        chart?: string | undefined;
    } | undefined;
    sources?: any[] | undefined;
}>;
export type ApplicationSpec = z.infer<typeof ApplicationSpec>;
export declare const Application: z.ZodObject<{
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"Application">;
    spec: z.ZodObject<{
        source: z.ZodOptional<z.ZodObject<{
            chart: z.ZodOptional<z.ZodString>;
            repoURL: z.ZodString;
            targetRevision: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        }, {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        }>>;
        sources: z.ZodOptional<z.ZodEffects<z.ZodArray<z.ZodAny, "many">, {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        }[], any[]>>;
    }, "strip", z.ZodTypeAny, {
        source?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        } | undefined;
        sources?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        }[] | undefined;
    }, {
        source?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        } | undefined;
        sources?: any[] | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    kind: "Application";
    apiVersion: string;
    spec: {
        source?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        } | undefined;
        sources?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        }[] | undefined;
    };
}, {
    kind: "Application";
    apiVersion: string;
    spec: {
        source?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        } | undefined;
        sources?: any[] | undefined;
    };
}>;
export declare const ApplicationSet: z.ZodObject<{
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"ApplicationSet">;
    spec: z.ZodObject<{
        template: z.ZodObject<{
            spec: z.ZodObject<{
                source: z.ZodOptional<z.ZodObject<{
                    chart: z.ZodOptional<z.ZodString>;
                    repoURL: z.ZodString;
                    targetRevision: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }, {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }>>;
                sources: z.ZodOptional<z.ZodEffects<z.ZodArray<z.ZodAny, "many">, {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }[], any[]>>;
            }, "strip", z.ZodTypeAny, {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }[] | undefined;
            }, {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: any[] | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }[] | undefined;
            };
        }, {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: any[] | undefined;
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        template: {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }[] | undefined;
            };
        };
    }, {
        template: {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: any[] | undefined;
            };
        };
    }>;
}, "strip", z.ZodTypeAny, {
    kind: "ApplicationSet";
    apiVersion: string;
    spec: {
        template: {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }[] | undefined;
            };
        };
    };
}, {
    kind: "ApplicationSet";
    apiVersion: string;
    spec: {
        template: {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: any[] | undefined;
            };
        };
    };
}>;
export declare const ApplicationDefinition: z.ZodUnion<[z.ZodObject<{
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"Application">;
    spec: z.ZodObject<{
        source: z.ZodOptional<z.ZodObject<{
            chart: z.ZodOptional<z.ZodString>;
            repoURL: z.ZodString;
            targetRevision: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        }, {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        }>>;
        sources: z.ZodOptional<z.ZodEffects<z.ZodArray<z.ZodAny, "many">, {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        }[], any[]>>;
    }, "strip", z.ZodTypeAny, {
        source?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        } | undefined;
        sources?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        }[] | undefined;
    }, {
        source?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        } | undefined;
        sources?: any[] | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    kind: "Application";
    apiVersion: string;
    spec: {
        source?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        } | undefined;
        sources?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        }[] | undefined;
    };
}, {
    kind: "Application";
    apiVersion: string;
    spec: {
        source?: {
            repoURL: string;
            targetRevision: string;
            chart?: string | undefined;
        } | undefined;
        sources?: any[] | undefined;
    };
}>, z.ZodObject<{
    apiVersion: z.ZodString;
    kind: z.ZodLiteral<"ApplicationSet">;
    spec: z.ZodObject<{
        template: z.ZodObject<{
            spec: z.ZodObject<{
                source: z.ZodOptional<z.ZodObject<{
                    chart: z.ZodOptional<z.ZodString>;
                    repoURL: z.ZodString;
                    targetRevision: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }, {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }>>;
                sources: z.ZodOptional<z.ZodEffects<z.ZodArray<z.ZodAny, "many">, {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }[], any[]>>;
            }, "strip", z.ZodTypeAny, {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }[] | undefined;
            }, {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: any[] | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }[] | undefined;
            };
        }, {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: any[] | undefined;
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        template: {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }[] | undefined;
            };
        };
    }, {
        template: {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: any[] | undefined;
            };
        };
    }>;
}, "strip", z.ZodTypeAny, {
    kind: "ApplicationSet";
    apiVersion: string;
    spec: {
        template: {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                }[] | undefined;
            };
        };
    };
}, {
    kind: "ApplicationSet";
    apiVersion: string;
    spec: {
        template: {
            spec: {
                source?: {
                    repoURL: string;
                    targetRevision: string;
                    chart?: string | undefined;
                } | undefined;
                sources?: any[] | undefined;
            };
        };
    };
}>]>;
export type ApplicationDefinition = z.infer<typeof ApplicationDefinition>;
