"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isGitlabIncludeComponent = exports.isGitlabIncludeLocal = exports.isGitlabIncludeProject = exports.filterIncludeFromGitlabPipeline = exports.isNonEmptyObject = void 0;
const tslib_1 = require("tslib");
const is_1 = tslib_1.__importDefault(require("@sindresorhus/is"));
function isNonEmptyObject(obj) {
    return is_1.default.object(obj) && Object.keys(obj).length !== 0;
}
exports.isNonEmptyObject = isNonEmptyObject;
function filterIncludeFromGitlabPipeline(pipeline) {
    const pipeline_without_include = {};
    for (const key of Object.keys(pipeline).filter((key) => key !== 'include')) {
        const pipeline_key = key;
        pipeline_without_include[pipeline_key] = pipeline[pipeline_key];
    }
    return pipeline_without_include;
}
exports.filterIncludeFromGitlabPipeline = filterIncludeFromGitlabPipeline;
function isGitlabIncludeProject(include) {
    return !is_1.default.undefined(include.project);
}
exports.isGitlabIncludeProject = isGitlabIncludeProject;
function isGitlabIncludeLocal(include) {
    return !is_1.default.undefined(include.local);
}
exports.isGitlabIncludeLocal = isGitlabIncludeLocal;
function isGitlabIncludeComponent(include) {
    return !is_1.default.undefined(include.component);
}
exports.isGitlabIncludeComponent = isGitlabIncludeComponent;
//# sourceMappingURL=common.js.map