import { z } from 'zod';
export type PyProject = z.infer<typeof PyProjectSchema>;
export declare const PyProjectSchema: z.ZodObject<{
    project: z.ZodOptional<z.ZodObject<{
        version: z.ZodCatch<z.ZodOptional<z.ZodString>>;
        'requires-python': z.ZodOptional<z.ZodString>;
        dependencies: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        'optional-dependencies': z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>>;
    }, "strip", z.ZodTypeAny, {
        version?: string | undefined;
        'requires-python'?: string | undefined;
        dependencies?: string[] | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    }, {
        version?: unknown;
        'requires-python'?: string | undefined;
        dependencies?: string[] | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    }>>;
    'build-system': z.ZodOptional<z.ZodObject<{
        requires: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    }, "strip", z.ZodTypeAny, {
        requires?: string[] | undefined;
    }, {
        requires?: string[] | undefined;
    }>>;
    tool: z.ZodOptional<z.ZodObject<{
        pdm: z.ZodOptional<z.ZodObject<{
            'dev-dependencies': z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>>;
            source: z.ZodOptional<z.ZodArray<z.ZodObject<{
                url: z.ZodString;
                name: z.ZodString;
                verify_ssl: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }, {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        }, {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        }>>;
        hatch: z.ZodOptional<z.ZodObject<{
            envs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodOptional<z.ZodObject<{
                dependencies: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
                'extra-dependencies': z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            }, "strip", z.ZodTypeAny, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            }, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            }>>>>;
        }, "strip", z.ZodTypeAny, {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        }, {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        pdm?: {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        } | undefined;
        hatch?: {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        } | undefined;
    }, {
        pdm?: {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        } | undefined;
        hatch?: {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        } | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    project?: {
        version?: string | undefined;
        'requires-python'?: string | undefined;
        dependencies?: string[] | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    } | undefined;
    'build-system'?: {
        requires?: string[] | undefined;
    } | undefined;
    tool?: {
        pdm?: {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        } | undefined;
        hatch?: {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        } | undefined;
    } | undefined;
}, {
    project?: {
        version?: unknown;
        'requires-python'?: string | undefined;
        dependencies?: string[] | undefined;
        'optional-dependencies'?: Record<string, string[]> | undefined;
    } | undefined;
    'build-system'?: {
        requires?: string[] | undefined;
    } | undefined;
    tool?: {
        pdm?: {
            'dev-dependencies'?: Record<string, string[]> | undefined;
            source?: {
                url: string;
                name: string;
                verify_ssl?: boolean | undefined;
            }[] | undefined;
        } | undefined;
        hatch?: {
            envs?: Record<string, {
                dependencies?: string[] | undefined;
                'extra-dependencies'?: string[] | undefined;
            } | undefined> | undefined;
        } | undefined;
    } | undefined;
}>;
