import type { HttpOptions, HttpResponse, InternalHttpOptions } from './types';
import { Http } from './index';
export declare function setBaseUrl(url: string): void;
/**
 * Access Gerrit REST-API and strip-of the "magic prefix" from responses.
 * @see https://gerrit-review.googlesource.com/Documentation/rest-api.html
 */
export declare class GerritHttp extends Http {
    private static magicPrefix;
    constructor(options?: HttpOptions);
    protected request<T>(path: string, options?: InternalHttpOptions): Promise<HttpResponse<T>>;
}
